/* Raleway Regular */
@font-face {
  font-family: 'Raleway';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src:
    url('/fonts/raleway-v37-latin-regular.woff2') format('woff2'),
    url('/fonts/raleway-v37-latin-regular.woff') format('woff');
}

/* Raleway Bold */
@font-face {
  font-family: 'Raleway';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src:
    url('/fonts/raleway-v37-latin-700.woff2') format('woff2'),
    url('/fonts/raleway-v37-latin-700.woff') format('woff');
}

body {margin: 0;
  font-family: Raleway,sans-serif!important;
  font-size: .81rem!important;
  font-weight: 400;
  line-height: 1.6;
  color: #212529;
  text-align: left;
  background-color: #f5f8fa;
}

.wrap-logo {
     border-bottom: 4px solid #fe0000;
 }

#logo {
    background: transparent;
    float: left;
}

#logo-sub-text {
    float: left;
    margin-top: 54px;
}


.tab-content {
     padding: 5px;
 }

.object-view {
	width: 100%;
	height: 100vh;
	background: #fff;
}
 
.object-pdf-view {
	width: 100%;
	height: 100vh;
}

.object-item-view {
width: 100%;
}

.tab-content-with-border .tab-content {
    border-left: 1px solid #dee2e6;
    border-right: 1px solid #dee2e6;
    border-bottom: 1px solid #dee2e6;
    padding: 5px;
}

.box-std {
    border: 1px solid #dee2e6;
    padding: 5px;
}

.ellipsis {
    text-overflow: ellipsis;

    /* Required for text-overflow to do anything */
    white-space: nowrap;
    overflow: hidden;
}

.add-menu{
    position: fixed;
    top: 35vh;
    left: 1px;
    z-index: 10;
}

.add-menu-btn{
    width:50px;
}

.clear-container-fluid{
    padding-right: 0px!important;
    padding-left: 0px!important;
}

.support_solution{

}

.answer-block .badge{
	font-size:100%!important;
}

.badge-primary {
    color: #fff;
	background-color:#fe0000;
}

.box:hover {
    background: #d5dcde;
}

.pointer {
    cursor: pointer;
}

.nopointer {
cursor: auto!important;
}

.selectable:hover{
    opacity: 0.7;
}

.accordion-item .card{
    margin-right: 0px;
    margin-left: 0px;
}

.accordion-item .btn {
    white-space: normal;
}

.treeview {

    list-style-type: none;
    margin: 0px;
    padding: 0px;
    display: table;
    width: 100%;
}

.treeview .treeview-icon{

    float: left;
}

.treeview li {
    list-style-type: none;
    display: table-row;
}

.treeview ul {
	padding-left:10px;
}

.scroll-modal-box{
    height: 80vh;
    overflow-y: auto;
    overflow-x: hidden;
    margin-bottom: 20px;
}

.scroll-80{
    height: 80vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-90{
    height: 90vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-70{
    height: 70vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-60{
    height: 60vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-40{
    height: 40vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-50{
    height: 50vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-30{
    height: 30vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-20{
    height: 20vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-15{
    height: 15vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-10{
    height: 10vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.maximized .scroll-20{
    height: 90vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.scroll-10{
    height: 10vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.logo-text {
    position:relative;bottom: 0px;
}

.btn-info {
    color: #000;
    background-color: #d5dcde!important;
    border-color: #d5dcde!important;
}

.btn-info:hover {
    color: #fff;
    background-color: #808a97!important;
    border-color: #808a97!important;
}

.btn-info:not(:disabled):not(.disabled):active, .btn-info:not(:disabled):not(.disabled).active, .show > .btn-info.dropdown-toggle {
    color: #000;
    background-color: #d5dcde!important;
    border-color: #d5dcde!important;
}

.item-tree-text{
    float:left;
    margin-right:5px;
}

.item-tree-text.pointer span:hover {
	 color: #fe0000;
}

.item-tree-host {
    display: inline-block;
}

.item-tree-children {
   display: flex;
}

.btn:focus {
    color: #808a97;
}

.btn-primary {
    color: #fff!important;
    background-color: #fe0000!important;
    border-color: #fe0000!important;

}

.text-icon-primary{
	 color: #fe0000;
}

.btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active, .show > .btn-primary.dropdown-toggle {
    color: #fff!important;
    background-color: #fe0000!important;
    border-color: #fe0000!important;
}

.btn-primary:not(:disabled):not(.disabled):active:focus, .btn-primary:not(:disabled):not(.disabled).active:focus, .show > .btn-primary.dropdown-toggle:focus {

    -webkit-box-shadow: 0 0 0 0rem #fe0000!important;
    box-shadow: 0 0 0 0rem #fe0000!important;

}

.btn-primary:focus, .btn-primary.focus {
    background-color: #fe0000!important;
    border-color: #fe0000!important;
    -webkit-box-shadow: 0 0 0 0rem #fe0000!important;
    box-shadow: 0 0 0 0rem #fe0000!important;

}

.btn-primary:hover {
    color: #fff;
    background-color: #cc0000!important;
    border-color: #cc0000!important;
}



a{
    color: #fe0000;
}
a:hover,a:focus {
    color: #cc0000;

}

.btn-link {
    color: #fe0000;
}

.btn-link:hover,.btn-link:focus {
    color: #cc0000;
}


.form-control:focus {
    border-color: #cc0000;
    box-shadow: 0 0 0 0.2rem rgba(204, 0, 0, 0.25);
}


@media (min-width: 768px) {
    .logo-text {
        position:absolute;bottom: 0px;
    }
}

@media (min-width: 576px) {
    .container {
        max-width: 95%;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 95%;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 95%;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 95%;
    }
}

.custom-checkbox .custom-control-input:checked ~ .custom-control-label::before {

    background-color: #fe0000;

}

.page-item.active .page-link {
    z-index: 1;
    color: #fff;
    background-color: #fe0000;
    border-color: #fe0000;
}

.card-deck .card {
    /*margin-right: 0px;*/
}

.card-body{
   padding:5px!important;
}

.card .tabs .card-header {
	padding: .75rem 1.25rem !important;
}

.card-header{
    padding:5px!important;
}

.card-header-pbottom-0 .card-header {
 padding-bottom: 0px !important;

 }

 .print-support  .card{
    border: 0px!important;
}

 .print-support  .card-header{
    border: 1px solid rgba(0,0,0,.125)!important;
}
 
.fa-20 {
    font-size: 20px !important;
}

.fa-18 {
	font-size: 18px !important;
}

.w-20 {
    width: 20% !important;
}

.menu .btn {
   /* width: 167px;
    height: 138px;
    position: relative;*/
}

.menu .btn i {
padding-bottom: 3px;
}

.menu .btn {
    background : #d5dcde;
}

.menu .btn .nav-item {
   color:#808a97;
}

.nav-tabs .nav-link {
  color: inherit!important;
}

.w-95 {
    width:95%;
}

.m-w-95 {
    max-width:95%;
}


.theme-primary .vdatetime-popup__header,
.theme-primary .vdatetime-calendar__month__day--selected > span > span,
.theme-primary .vdatetime-calendar__month__day--selected:hover > span > span {
  background: #cc0000;
}

.theme-primary .vdatetime-year-picker__item--selected,
.theme-primary .vdatetime-time-picker__item--selected,
.theme-primary .vdatetime-popup__actions__button {
  color: #cc0000;
}


.menu .btn-menu-icon {
    color:#808a97;
    clear: both;
    float: left;
	line-height:0px;
}

.menu .btn-menu-icon-text {
    float:right;
}

.menu .btn:focus, .menu .btn.focus {
   /* outline: 0;
    -webkit-box-shadow: 0 0 0 0.2rem #808a97;
    box-shadow: 0 0 0 0.2rem #808a97;*/
}

.menu .active  .btn-menu-icon, .menu .active  .btn-menu-icon-text{
  color: #d5dcde;
}
.menu .active .nav-item {

    color: #d5dcde;

}

.menu .active {
  background: #808a97;
}

.menu .btn:focus, .btn.focus {

    outline: 0;
    -webkit-box-shadow: none;
    box-shadow: none;

}


.accordion-item .btn:hover {
    color: #fff!important;
}

.accordion-item .btn-info.focus, .accordion-item .btn-info:focus {
    -webkit-box-shadow: 0 0 0 .2rem #808a97;
    box-shadow: 0 0 0 .2rem #808a97;
}

.right {
    float:right;
}

.error{
    color: #fe0000;
}

.card-deck .col-md-3, .card-deck .col-md-6, .card-deck .col-md-4, .card-deck .col-md-12 , .card-deck .col-xs-12  {
   padding-right: 0px!important;
    padding-left: 0px!important;
}

.card-deck .col-md-12.with-padding, .card-deck .col-xl-6.with-padding {
padding-right: 15px!important;
padding-left: 15px!important;
}

.modal-dialog {
    max-width: 800px;
}

.modal-dialog-80 {
    max-width: 80%;
}

.modal-dialog-100 .modal-dialog{
    max-width: 100%;
}

.white-space-normal {
    white-space: normal;
}

.btn-active {
    border-top:1px solid #ccc;
    border-left:1px solid #ccc;
    border-right:1px solid #ccc;
}

.tab-border {
    border:1px solid #ccc;
}

/*support*/
.answer-description{

    color:darkblue;
	position:relative;
}

.answer-public_solution{

    color:black;
}

.answer-solution{

  
}

.answer-block{
    border-bottom: 2px solid #ccc;
    padding:2px;
}
.answer-block p{
    margin-top: 0px;
    margin-bottom: 0px;
}

.notice-active {
    color: #fe0000;
}

.maximized {
    position: fixed;
    top: 10px;
    right: 1%;
    bottom: 1%;
    left: 1%;
    z-index: 10;
    max-width:95%;
    background-color: white;
}

.maximized-document-view {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1100;
  max-width: 100%;
  padding: 0;
}

.card-header-icon-group{
    position: absolute;
    right: 5px;
    top: 5px;
}

.lock {
    border:2px solid red;
}

.block-subform{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background: #fff;
    border: 1px solid #ccc;
    z-index:1000;
}

.is-chosen {
    color: #fe0000;
}

#nprogress .bar {
    background: #FE0000 !important;
}

#nprogress .peg {
    box-shadow: 0 0 20px #FE0000, 0 0 5px #FE0000 !important;
}

#nprogress .spinner-icon {
    border-top-color: #FE0000 !important;
    border-left-color: #FE0000 !important;
}

.truncate{
    max-width: 250px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 0;
    resize: horizontal;
}

.ql-container-40 .ql-container{
	 height:50vh!important;
}

.ql-container-40 .ql-editor{
	 min-height:50vh!important;
	 height:50vh!important;
}

.html-preview p {
margin-top: 0px!important;
margin-bottom: 0px!important;
}

.InputEdit .ql-container {
    height:100%!important;
}

.InputEdit .ql-editor {
    min-height:100%!important;
    height:100%!important;
    overflow-y: auto;
    font-family: "Raleway", sans-serif;
  font-size: 0.81rem!important;
}


.ql-container {
    height:110px!important;
     min-height:110px!important;
}

.ql-editor {
    min-height:110px!important;
    height:110px!important;
    overflow-y: auto;
}



.text-small-info {
    font-size: 11px;
}

.fa-mailbox-processed::before {
    content: "\f00c";
    color: green;
}
.fa-mailbox-new::before {
    content: "\f251";
    color: black;
}
.fa-mailbox-reject::before {
    content: "\f00d";
    color: red;
}
.fa-mailbox-warning::before {
    content: "\f071";
    color: orange;
}

.fa-warning::before {
    content: "\f071";
    color: orange;
}

.fa-support-abbr:first-child .fa-support-icon {
    margin-left:0px!important;
}

.fa-support-icon {
    margin-top:5px;
    margin-bottom:5px;
    margin-left:5px;
    font-size: 22px!important;
}

.fa-support-icon-status-edit::before {
    content: "\f040";
    color: white;
}
.fa-support-icon-status-close::before {
    content: "\f00c";
    color: white;
}
.fa-support-icon-status-preclose::before {
    content: "\f1d7";
    color: white;
}

.fa-support-icon-status-return::before {
    content: "\f112";
    color: white;
}

.eye-red {

    color: #fe0000;
}

.inline {
    display:inline-block;
}
.left {
    float:left;
}

.row.no-gutter {
    margin-left: 0;
    margin-right: 0;
}

.row.no-gutter [class*="col-"] {

    padding-right: 0;
    padding-left: 0;

}

pre {
    overflow: hidden!important;
}
.open-ticket  .btn-primary{
	background-color: #007bff!important;
	border-color: #007bff!important;
}

.open-ticket  .bg-secondary {

    background-color: #6c757d ;

}

.open-ticket .btn:focus {
    color: #fff;
}

.open-ticket .btn {
    white-space: inherit;
}

/*editor toolbar*/
.quillWrapper .ql-snow.ql-toolbar {
    padding-top: 2px!important;
    padding-bottom: 0px!important;
}


.en , .English{
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/gb.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.zh , .Chinese {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/zh.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.fr , .French {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/fr.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.de , .German {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/de.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.it , .Italian {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/it.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.tr , .Turkish {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/tr.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.cs , .Czech {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/cs.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.ru , .Russian {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/ru.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.es , .Spanish {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/es.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.pl , .Polish {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/pl.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.nl , .Dutch {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/nl.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.da , .Danish {
  display:inline-block;
  float:left;
  margin-right: 0.3em; 
width: 35px;
height: 25px;
/* Hintergrundbild */
  background-image: url("../pics/da.svg");
  background-repeat: no-repeat;
  background-size: contain;
}



.fa-support-icon-svg {
    margin-top:5px;
    margin-bottom:5px;
    margin-left:5px;
    font-size: 22px!important;
	padding: 2px 5px;
}

.active .svg-icon-menu{
	filter: invert(98%) sepia(2%) saturate(867%) hue-rotate(160deg) brightness(88%) contrast(98%);
}

.svg-icon-menu {
	filter: invert(58%) sepia(13%) saturate(330%) hue-rotate(174deg) brightness(91%) contrast(91%);
}

.active .svg-icon-standard{
	filter: invert(14%) sepia(86%) saturate(7311%) hue-rotate(359deg) brightness(100%) contrast(108%);
}

.svg-icon-standard {
	filter: invert(70%) sepia(1%) saturate(800%) hue-rotate(314deg) brightness(89%) contrast(94%);
}

.router-link-active.active svg{
	filter: invert(14%) sepia(86%) saturate(7311%) hue-rotate(359deg) brightness(100%) contrast(108%);
}

.svg-icon-primary {
	filter: invert(14%) sepia(86%) saturate(7311%) hue-rotate(359deg) brightness(100%) contrast(108%);
}
.svg-icon-secondary {
	filter: brightness(0) saturate(100%) invert(48%) sepia(22%) saturate(187%) hue-rotate(166deg) brightness(88%) contrast(85%); 
}
.svg-icon-white {
	filter: invert(99%) sepia(100%) saturate(0%) hue-rotate(24deg) brightness(105%) contrast(100%);
}

.lh-0 {
	line-height:0px;
}

svg {
	margin: 2px;
	margin-bottom: 3px;
}

.no-margin {
	margin:0px!important;
}

.select-language {
float: right;
margin-top: 10px;
margin-bottom: 10px;
}

.lang-dropdown {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.lang-dropdown-selected {
    padding: 4px 20px 4px 6px;
    border: 1px solid #ccc;
    border-radius: 4px;
    height: 28px;
    background: #fff url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10' height='6'%3E%3Cpath d='M0 0l5 6 5-6z' fill='%23666'/%3E%3C/svg%3E") no-repeat right 5px center;
}

.lang-dropdown-menu {
    display: none;
    position: absolute;
    right: 0;
    top: 100%;
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 4px 6px;
    z-index: 1000;
    white-space: nowrap;
}

.lang-dropdown-menu a {
    display: block;
    padding: 3px 0;
    line-height: 0;
}

.lang-dropdown:hover .lang-dropdown-menu {
    display: block;
}

.vue-html2pdf .layout-container {
position: inherit !important;
width: inherit !important;
height: inherit !important;
background: #fff !important;
}

.checkbox-group .custom-checkbox.custom-control-inline {
	min-width: 100px;
}

@media screen and (-webkit-min-device-pixel-ratio:0) {
    #zoom-img-range {
      overflow: hidden;
      width: 100%;
      -webkit-appearance: none;
      background-color: #fff;
    }
    
    #zoom-img-range::-webkit-slider-runnable-track {
      height: 10px;
      -webkit-appearance: none;
      color: #13bba4;
      margin-top: -1px;
    }
    
    #zoom-img-range::-webkit-slider-thumb {
      width: 10px;
      -webkit-appearance: none;
      height: 10px;
      cursor: ew-resize;
      background: #434343;
      box-shadow: -80px 0 0 80px #fe0000;
    }

}
/** FF*/
#zoom-img-range::-moz-range-progress {
  background-color: #fe0000; 
}
#zoom-img-range::-moz-range-track {  
  background-color: #fff;
}
/* IE*/
#zoom-img-range::-ms-fill-lower {
  background-color: #fe0000; 
}
#zoom-img-range::-ms-fill-upper {  
  background-color: #fff;
}

.table-spinner {
  border: 10px solid #d5dcde;
  border-top: 10px solid #fe0000;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
  margin: 0 auto;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.extended-filter{
margin-right: 5px;
margin-top: 3px;
}

.table  .fa-print {
    margin-top: 4px;
}

.hidden {
	visibility: hidden;
	opacity: 0;
}

.table-filter-select {
  width: 60px;
  height: 26px!important;
  border-radius: 0;
  border: 1px solid #8f8f9d!important;
  height: 30;
}
.table-filter-input {
	width:60px;
	  height: 30;
}

.input-group .prepend.input-group-text {
	width: 150px;
}

.form-control.is-valid, .was-validated .form-control:valid {
  border-color: #28a745;
  padding-right: calc(1.5em + .75rem) !important;
  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8'%3E%3Cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right calc(.375em + .1875rem) center;
  background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.form-control.is-invalid, .was-validated .form-control:invalid {
  border-color: #dc3545;
  padding-right: calc(1.5em + .75rem) !important;
  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545'%3E%3Ccircle cx='6' cy='6' r='4.5'/%3E%3Cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3E%3Ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right calc(.375em + .1875rem) center;
  background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.btn-menu-icon-text {
  white-space: nowrap;
}

form .btn {
   /* margin-left: 5px;*/
}

.menu .btn {
  min-height: 90px;
}

.btn-menu-icon {
  margin-top: 5px;
}

/* Sidebar Accordion Animation */
.collapse-body {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

/* ausreichend groß für Listen */
.collapse-body.open {
  max-height: 400px;
}

.mobile-table {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.mobile-card {
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 12px;
}

.mobile-card-header {
  display: flex;
  justify-content: space-between;
  font-size: 14px;
  margin-bottom: 8px;
}

.mobile-row {
  display: flex;
  font-size: 13px;
  margin-bottom: 4px;
}

.mobile-label {
  width: 40%;
  font-weight: 600;
  color: #555;
}

.mobile-value {
  width: 60%;
}

/* sorgt dafür, dass DAS MODAL scrollt */
.modal.fade.show.d-block {
  position: fixed;
  inset: 0;
  z-index: 1050;
  overflow-y: auto;   /* <<< DAS ist der Schlüssel */
}

/* Dialog normal zentrieren */
.modal.fade.show.d-block .modal-dialog {
  margin: 1.75rem auto;
}

/* Body darf nicht scrollen */
body.modal-open {
  overflow: hidden;
}

.btn-close {
  box-sizing: content-box;
  width: 1em;
  height: 1em;
  padding: .25em;
  border: 0;
  border-radius: .375rem;
  background-color: transparent;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 1em auto;
  cursor: pointer;
  opacity: .6;

  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='currentColor'%3E%3Cpath d='M2.146 2.146a.5.5 0 0 1 .708 0L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8 2.146 2.854a.5.5 0 0 1 0-.708z'/%3E%3C/svg%3E");
}

.btn-close:hover {
  opacity: .9;
}

.btn-close:focus {
  outline: none;
  box-shadow: 0 0 0 .25rem rgba(13,110,253,.25);
}

.fa {
  margin-left: 2px;
  margin-right: 2px;
}

.document-image {
  transition: width 0.15s ease;
  max-width: 100%;
}

.document-pdf {
  width: 100%;
  height: 100vh;
}

.image-wrapper {
  overflow: auto;
}

.btn, .form-control {
    font-size: .81rem;
}

.icon {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  line-height: 0;  
}

.icon :deep(svg) {
  width: 100% !important;
  height: 100% !important;
  display: block;             
  fill: currentColor;
  stroke: currentColor;
}

.icon svg {
  width: 100% !important;
  height: 100% !important;
  max-width: 100%;
  max-height: 100%;
  display: block;
}

.btn {
    /*margin-left: 0px;*/
}

.modal-open .btn {
    /*margin-left: 5px;*/
}

.gap-2 { gap: .3rem; }

.text-primary {
  color: #007bff !important;
}

.menu .btn-menu-icon {
    margin: 0px;
}

.input-group > .form-control {
  flex: 1 1 auto;
  width: 1%;
  min-width: 0;
}

.input-group > .form-control + .input-group-text {
  border-left: 0;
}

.input-group-text {
  display: flex;
  align-items: center;
  padding: .375rem .75rem;
  font-size: 0.81rem;
  background-color: #e9ecef;
  border: 1px solid #ced4da;
    height: 33px;
}


.input-group > .form-control {
  flex: 1 1 auto;
  width: 1%;
  min-width: 0;
}

/* PREPEND */
.input-group-text.prepend {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

/* APPEND */
.input-group-text.append {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

/* INPUT zwischen prepend und append */
.input-group .prepend + .form-control {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.input-group .form-control + .append {
  margin-left: -1px;
}